<!DOCTYPE html>
<?php
	error_reporting(0);
	@ini_set('display_errors', 0);
	session_start();
	$status = $_SESSION['mail_status']; //we need these to show the user if the mail was sent or not
	$error_type = $_SESSION['error_type']; //this is the error type if any
?>
<html>	
	<head>
		<title>
			Leafy PHP Contact Form v1.0 | by AlienValley.com
		</title>
		<link rel="stylesheet" type="text/css" media="all" href="style.css"/>
		<link rel="shortcut icon" href="img/icon.ico">
		<!--[if !IE 7]>
		<style type="text/css">
			#container {display:table;height:100%;}
		</style>
		<![endif]-->
		<!-- form placeholder script -->
		<!-- uncomment the javascript below if you use the jqplaceholder fix for IE, see details in documentation! -->
		<!--
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script>
		<script type="text/javascript" src="jqplaceholder.js"></script>
		<script type="text/javascript">
			$(function(){
				$('input[placeholder]').jQPlaceholder();
				$('textarea[placeholder]').jQPlaceholder();
			});
		</script>
		-->
	</head>
	<body>
		<div id="parent-box1"></div>
		<div id="parent-box">
			<div id="container-box">
				<div id="logo"></div>
				<h1>Leafy PHP Contact Form</h1>
				<form method="post" action="send-mail.php">
					<div id="success" <?php if ($status != 'sent'){echo 'style="display:none;"';}?>>HURRAH! Your message was successfully sent!</div>
					<div id="fail" <?php if ($status != 'error'){echo 'style="display:none;"';}?>>
						<?php 
							switch ($error_type)
							{
								case 'fname':
								echo '<b>ERROR</b>: Message not sent, please enter your <b>FIRST NAME</b>!';
								break;
								case 'lname':
								echo '<b>ERROR</b>: Message not sent, please enter your <b>LAST NAME</b>!';
								break;
								case 'email':
								echo '<b>ERROR</b>: Message not sent, please enter your <b>E-MAIL</b>!';
								break;
								case 'subject':
								echo '<b>ERROR</b>: Message not sent, please enter a <b>SUBJECT</b>!';
								break;
								case 'text':
								echo '<b>ERROR</b>: Message not sent, please enter a <b>MESSAGE</b>!';
								break;
								case 'fname-short':
								echo '<b>ERROR</b>: Your <b>FIRST NAME</b> is too short! Enter at least 2 characters!';
								break;
								case 'lname-short':
								echo '<b>ERROR</b>: Your <b>LAST NAME</b> is too short! Enter at least 2 characters!';
								break;
								case 'email-short':
								echo '<b>ERROR</b>: Your <b>E-MAIL</b> address is too short! Enter at least 7 characters!';
								break;
								case 'subject-short':
								echo '<b>ERROR</b>: The <b>SUBJECT</b> is too short! Enter at least 2 characters!';
								break;
								case 'text-short':
								echo '<b>ERROR</b>: The <b>MESSAGE</b> needs to be at least 10 characters long!';
								break;
								case 'email-symbol':
								echo '<b>ERROR</b>: Invalid <b>E-MAIL</b> address';
								break;
							}
						?>
					</div>
					<input type="text" name="first-name" placeholder="First Name" value="<?php if ($status == 'error') {echo $_SESSION['fname'];} ?>">
					<input type="text" name="last-name" placeholder="Last Name" value="<?php if ($status == 'error') {echo $_SESSION['lname'];} ?>">
					<input type="text" name="e-mail" placeholder="Email Address" value="<?php if ($status == 'error') {echo $_SESSION['email'];} ?>">
					<input type="text" name="subject" placeholder="Subject" value="<?php if ($status == 'error') {echo $_SESSION['subject'];} ?>">
					<textarea type="text" name="message" placeholder="Your Message Here..." style="overflow-y:auto;"><?php if ($status == 'error') {echo $_SESSION['text'];} ?></textarea>
					<input id="submit-button" type="submit" value="SEND">
					<div id="footnote">
						* all the fields are mandatory
						<!-- you are free to remove the line below but your support is what keeps us going -->
						<br/><br/><em style="font-size:12px;">Show <a href="http://www.alienvalley.com">AlienValley.com</a> to your friends and spread the word so we can keep releasing more awesome freebies like this!</em>
					</div>
				</form>
				<?php
					$_SESSION['mail_status'] = 'clear'; //clearing the value for this session
					$_SESSION['error_type'] = 'clear'; //clearing this value too so it won't be displayed at each refresh
					if ($status != 'error') //if message is successfully sent then the saved form data will be cleared too
					{
						$_SESSION['fname'] = '';
						$_SESSION['lname'] = '';
						$_SESSION['email'] = '';
						$_SESSION['subject'] = '';
						$_SESSION['text'] = '';
					}
				?>
			</div>
		</div>
	</body>
</html>